Upstream information

CVE-2006-1860 at MITRE

Description

lease_init in fs/locks.c in Linux kernel before 2.6.16.16 allows attackers to cause a denial of service (fcntl_setlease lockup) via actions that cause lease_init to free a lock that might not have been allocated on the stack.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:N/I:N/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 174256 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE LINUX 10.0
  • Intel-536ep >= 4.69-14.6
  • kernel-bigsmp >= 2.6.13-15.11
  • kernel-bigsmp-nongpl >= 2.6.13-15.11
  • kernel-default >= 2.6.13-15.11
  • kernel-default-nongpl >= 2.6.13-15.11
  • kernel-iseries64 >= 2.6.13-15.11
  • kernel-ppc64 >= 2.6.13-15.11
  • kernel-smp >= 2.6.13-15.11
  • kernel-smp-nongpl >= 2.6.13-15.11
  • kernel-source >= 2.6.13-15.11
  • kernel-syms >= 2.6.13-15.11
  • kernel-um >= 2.6.13-15.11
  • kernel-um-nongpl >= 2.6.13-15.11
  • kernel-xen >= 2.6.13-15.11
  • kernel-xen-nongpl >= 2.6.13-15.11
  • um-host-kernel >= 2.6.13-15.11
SUSE LINUX 9.3
  • Intel-536ep >= 4.69-10.7
  • kernel-bigsmp >= 2.6.11.4-21.13
  • kernel-bigsmp-nongpl >= 2.6.11.4-21.13
  • kernel-default >= 2.6.11.4-21.13
  • kernel-default-nongpl >= 2.6.11.4-21.13
  • kernel-docs >= 2.6.11.4-21.13
  • kernel-smp >= 2.6.11.4-21.13
  • kernel-smp-nongpl >= 2.6.11.4-21.13
  • kernel-source >= 2.6.11.4-21.13
  • kernel-syms >= 2.6.11.4-21.13
  • kernel-um >= 2.6.11.4-21.13
  • kernel-um-nongpl >= 2.6.11.4-21.13
  • kernel-xen >= 2.6.11.4-21.13
  • kernel-xen-nongpl >= 2.6.11.4-21.13
  • ltmodem >= 8.31a10-7.7
  • um-host-install-initrd >= 1.0-50.7
  • um-host-kernel >= 2.6.11.4-21.13